﻿using HotelDataModels.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.ViewModels
{
	public class BookingViewModel
	{
        public int Id { get; set; }
        public int RoomId { get; set; }

        public int ClientId { get; set; }
        [DisplayName("Дата заезда")]
        public DateTime ArrivalDate { get; set; } = DateTime.Now;
        [DisplayName("Дата выезда")]
        public DateTime DepartureDate { get; set; } = DateTime.Now;
        [DisplayName("Количество проведенных часов")]
        public int NumberHoursSpent { get; set; }
        [DisplayName("Статус проверки")]
        public AcceptanceStatus Status { get; set; } = AcceptanceStatus.Неизвестен;
        [DisplayName("Полная стоимость")]
        public int TotalCost { get; set; }
    }
}
